PHTML::InputImage Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::InputImage:

## Public Member Functions

| InputImage (const char *fname, const char *src=NULL, DisableCodes disabled=Enabled, const char *attr=NULL)
virtual | ~InputImage ()
Public Member Functions inherited from PHTML::Element
virtual | ~Element ()

## Protected Member Functions

| InputImage (const char *type, const char *fname, const char *src, DisableCodes disabled, const char *attr)
virtual void | AddAttr (PHTML &html) const
Protected Member Functions inherited from PHTML::InputField
| InputField (const char *type, const char *fname, DisableCodes disabled, const char *attr)
virtual | ~InputField ()
Protected Member Functions inherited from PHTML::FormField
| FormField (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled, const char *fname)
virtual | ~FormField ()
Protected Member Functions inherited from PHTML::FieldElement
| FieldElement (const char *nam, const char *attr, ElementInSet elmt, OptionalCRLF opt, DisableCodes disabled)
virtual | ~FieldElement ()
Protected Member Functions inherited from PHTML::Element
| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const

## Additional Inherited Members

Protected Types inherited from PHTML::Element
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Constructor & Destructor Documentation

PHTML::InputImage::InputImage | ( | const char * | fname,
|  | const char * | src = `NULL`,
|  | DisableCodes | disabled = `Enabled`,
|  | const char * | attr = `NULL`
| ) |  |

virtual PHTML::InputImage::~InputImage | ( |  | ) |

inline virtual

PHTML::InputImage::InputImage | ( | const char * | type,
|  | const char * | fname,
|  | const char * | src,
|  | DisableCodes | disabled,
|  | const char * | attr
| ) |  |

protected

## Member Function Documentation

virtual void PHTML::InputImage::AddAttr | ( | PHTML & | html | ) | const

protected virtual

Reimplemented from PHTML::InputField.

Reimplemented in PHTML::ResetButton.

The documentation for this class was generated from the following file:

- html.h